Groovy Documentation

## org.codehaus.groovy.reflection
[Java] Class CachedConstructor

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          org.codehaus.groovy.reflection.CachedConstructor

    public class CachedConstructor
    extends ParameterTypes

Authors:
  Alex.Tkachman

Field Summary
`java.lang.reflect.Constructor` | `cachedConstructor`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`CachedConstructor(CachedClass clazz, java.lang.reflect.Constructor c)`
`CachedConstructor(java.lang.reflect.Constructor c)`

Method Summary
`java.lang.Object` | `doConstructorInvoke(java.lang.Object[] argumentArray)`
`static CachedConstructor` | `find(java.lang.reflect.Constructor constructor)`
`int` | `getModifiers()`
`protected java.lang.Class[]` | `getPT()`
`java.lang.Object` | `invoke(java.lang.Object[] argumentArray)`

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### cachedConstructor

    public final java.lang.reflect.Constructor cachedConstructor

Constructor Detail

### CachedConstructor

    public CachedConstructor(CachedClass clazz, java.lang.reflect.Constructor c)

### CachedConstructor

    public CachedConstructor(java.lang.reflect.Constructor c)

Method Detail

### doConstructorInvoke

    public java.lang.Object doConstructorInvoke(java.lang.Object[] argumentArray)

### find

    public static CachedConstructor find(java.lang.reflect.Constructor constructor)

### getModifiers

    public int getModifiers()

### getPT

    protected java.lang.Class[] getPT()

### invoke

    public java.lang.Object invoke(java.lang.Object[] argumentArray)

Groovy Documentation